import sys
import asyncio

from .tsmailer import mailer, CONFIG


__doc__ = (
    "Send mails in batches. "
    "Configuration should be in a yaml config file"
    "given with the CONFIG enviroenment variable."
)


def main() -> None:
    if CONFIG is None:
        print(__doc__)
        sys.exit(0)
    asyncio.run(mailer())
